using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class gameSceneAreaGroupHandler : gridView
{
    private float itemWidth = 100f;
    private float itemHeight = 100f;
    private float itemInterval = 20f;
    // Start is called before the first frame update
    void Start()
    {
        RectTransform rectTransform = transform.parent.GetComponent<RectTransform>();
        utilsTools.DisplaySize = new Vector2(rectTransform.rect.width, rectTransform.rect.height);
        float scale = rectTransform.rect.height / 1920;
        var scale1 = transform.localScale;
        itemWidth = itemWidth * scale1.x;
        itemHeight = itemHeight * scale1.y;
        itemInterval = itemWidth * scale1.x;
        //transform.localScale = scale1;
    }

    // Update is called once per frame
    void Update(){
    }
    public void setDataNoGrid(int cout, gradViewBack gradView)
    {
        setDataNoGrid(cout, itemWidth, itemHeight, itemInterval, gradView, false,null,20);
    }
}
